Qt 5.7 | Qt Data Visualization | C++ Classes | QBar3DSeries

Qt 5.7.1 Reference Documentation

# QBar3DSeries Class

Base series class for Q3DBars. More...

Header: | #include <QBar3DSeries>
Since: | QtDataVisualization 1.0
Instantiated By: | Bar3DSeries
Inherits: | QAbstract3DSeries

- List of all members, including inherited members

## Properties

- dataProxy : QBarDataProxy *
- meshAngle : float
- selectedBar : QPoint

- 17 properties inherited from QAbstract3DSeries

## Public Functions

| QBar3DSeries(QObject *parent = Q_NULLPTR)
| QBar3DSeries(QBarDataProxy *dataProxy, QObject *parent = Q_NULLPTR)
virtual | ~QBar3DSeries()
QBarDataProxy * | dataProxy() const
float | meshAngle() const
QPoint | selectedBar() const
void | setDataProxy(QBarDataProxy *proxy)
void | setMeshAngle(float angle)
void | setSelectedBar(const QPoint &position)

- 33 public functions inherited from QAbstract3DSeries

## Signals

void | dataProxyChanged(QBarDataProxy *proxy)
void | meshAngleChanged(float angle)
void | selectedBarChanged(const QPoint &position)

- 16 signals inherited from QAbstract3DSeries

## Static Public Members

QPoint | invalidSelectionPosition()

## Detailed Description

Base series class for Q3DBars.

QBar3DSeries manages the series specific visual elements, as well as series data (via data proxy).

If no data proxy is set explicitly for the series, the series creates a default proxy. Setting another proxy will destroy the existing proxy and all data added to it.

QBar3DSeries supports the following format tags for QAbstract3DSeries::setItemLabelFormat():

@rowTitle | Title from row axis
@colTitle | Title from column axis
@valueTitle | Title from value axis
@rowIdx | Visible row index. Localized using graph locale.
@colIdx | Visible Column index. Localized using graph locale.
@rowLabel | Label from row axis
@colLabel | Label from column axis
@valueLabel | Item value formatted using the same format the value axis attached to the graph uses. See QValue3DAxis::labelFormat for more information.
@seriesName | Name of the series
%<format spec> | Item value in specified format. Formatted using the same rules as QValue3DAxis::labelFormat.

For example:

      proxy->setItemLabelFormat(QStringLiteral("@valueTitle for (@rowLabel, @colLabel): %.1f"));

See also Qt Data Visualization Data Handling and QAbstract3DGraph::locale.

## Property Documentation

### dataProxy : QBarDataProxy *

This property holds the active data proxy. The series assumes ownership of any proxy set to it and deletes any previously set proxy when a new one is added. The proxy cannot be null or set to another series.

Access functions:

QBarDataProxy * | dataProxy() const
void | setDataProxy(QBarDataProxy *proxy)

Notifier signal:

void | dataProxyChanged(QBarDataProxy *proxy)

### meshAngle : float

A convenience property for defining the series rotation angle in degrees. Setting this property is equivalent to the following call:

      setMeshRotation(QQuaternion::fromAxisAndAngle(0.0f, 1.0f, 0.0f, angle))

Note: When reading this property, it is calculated from QAbstract3DSeries::meshRotation value using floating point precision and always returns a value from zero to 360 degrees.

Access functions:

float | meshAngle() const
void | setMeshAngle(float angle)

Notifier signal:

void | meshAngleChanged(float angle)

See also QAbstract3DSeries::meshRotation.

### selectedBar : QPoint

Selects a bar at the position. The position is the (row, column) position in the data array of the series. Only one bar can be selected at a time. To clear selection from this series, set invalidSelectionPosition() as the position. If this series is added to a graph, the graph can adjust the selection according to user interaction or if it becomes invalid. Selecting a bar on another added series will also clear the selection. Removing rows from or inserting rows to the series before the row of the selected bar will adjust the selection so that the same bar will stay selected.

Access functions:

QPoint | selectedBar() const
void | setSelectedBar(const QPoint &position)

Notifier signal:

void | selectedBarChanged(const QPoint &position)

See also QAbstract3DGraph::clearSelection().

## Member Function Documentation

### QBar3DSeries::QBar3DSeries(QObject *parent = Q_NULLPTR)

Constructs QBar3DSeries with the given parent.

### QBar3DSeries::QBar3DSeries(QBarDataProxy *dataProxy, QObject *parent = Q_NULLPTR)

Constructs QBar3DSeries with the given dataProxy and the parent.

### `[virtual]` QBar3DSeries::~QBar3DSeries()

Destroys QBar3DSeries.

### `[static]` QPoint QBar3DSeries::invalidSelectionPosition()

Returns an invalid position for selection. Set this position to selectedBar property if you want to clear the selection from this series.

See also QAbstract3DGraph::clearSelection().